---
title: "Payout"
description: "Query detail of specified withdraw record. Does not support POS currently."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/shopline-payments/payout'
  md: 'https://developer.shopline.com/docs/admin-rest-api/shopline-payments/payout.md'
---
# Payout

Query detail of specified withdraw record. Does not support POS currently.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_payment`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /payments/store/payout.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_payment`

## Request

### Query Parameters

* `payout_id`

  string (required)

  Withdraw serial number

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `404`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `payouts`

  array<object>

  List of payments

  * `amount`

    string

    Withdraw amount , amount reserved for two decimal points

  * `currency`

    string

    Withdraw currency , according to ISO4217 specifications

  * `date`

    string

    Withdraw date , follow ISO8601 specifications

  * `id`

    string

    Withdraw serial number

  * `status`

    string

    Withdraw status . Available values : in progress ( in process ) ; accepted by bank ( bank accepted ) ; completed ( completed ) ; failed ( failed in payment ) ; retrying ( in re-sale ) ;


#### 401

* `errors`

  string

  Error message. 


#### 404

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Query detail of specified withdraw record. Does not support POS currently.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_payment` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "Q2WCX9Kg",
  "parameters": [
    {
      "name": "payout_id",
      "in": "query",
      "description": "Withdraw serial number",
      "required": true,
      "style": "form",
      "explode": true,
      "schema": {
        "name": "payout_id",
        "description": "Withdraw serial number",
        "type": "string",
        "example": "202207291892569505684072448"
      },
      "example": "202207291892569505684072448",
      "examples": {
        "Query specified withdraw record - payout_id incorrect": {
          "value": "202207291892569505684072448"
        },
        "Query specified withdraw record": {
          "value": "202102231137052720193673216"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "payouts": {
                "name": "payouts",
                "description": "List of payments",
                "type": "array",
                "items": {
                  "name": "payouts",
                  "description": "List of payments",
                  "type": "object",
                  "properties": {
                    "amount": {
                      "name": "amount",
                      "description": "Withdraw amount , amount reserved for two decimal points",
                      "type": "string",
                      "example": "12.00"
                    },
                    "currency": {
                      "name": "currency",
                      "description": "Withdraw currency , according to ISO4217 specifications",
                      "type": "string",
                      "example": "USD"
                    },
                    "date": {
                      "name": "date",
                      "description": "Withdraw date , follow ISO8601 specifications",
                      "type": "string",
                      "example": "2022-08-03T10:45:00+08:00"
                    },
                    "id": {
                      "name": "id",
                      "description": "Withdraw serial number",
                      "type": "string",
                      "example": "202207291892569505684072448"
                    },
                    "status": {
                      "name": "status",
                      "description": "Withdraw status . Available values : in progress ( in process ) ; accepted by bank ( bank accepted ) ; completed ( completed ) ; failed ( failed in payment ) ; retrying ( in re-sale ) ;",
                      "type": "string",
                      "example": "in progress"
                    }
                  },
                  "example": {
                    "id": "202207291892569505684072448",
                    "status": "in progress",
                    "amount": "12.00",
                    "currency": "USD",
                    "date": "2022-08-03T10:45:00+08:00"
                  }
                },
                "example": [
                  {
                    "amount": "12.00",
                    "currency": "USD",
                    "date": "2022-08-03T10:45:00+08:00",
                    "id": "202207291892569505684072448",
                    "status": "in progress"
                  }
                ]
              }
            },
            "example": {
              "payouts": [
                {
                  "status": "in progress",
                  "amount": "12.00",
                  "currency": "USD",
                  "date": "2022-08-03T10:45:00+08:00",
                  "id": "202207291892569505684072448"
                }
              ]
            }
          },
          "examples": {
            "Query specified withdraw record": {
              "value": {
                "payouts": [
                  {
                    "status": "completed",
                    "amount": "3.63",
                    "currency": "USD",
                    "date": "2021-02-23T10:00:23+08:00",
                    "id": "202102231137052720193673216"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "404": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "name": "errors",
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          },
          "examples": {
            "Query specified withdraw record - payout_id incorrect": {
              "value": {}
            }
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/payments/store/payout.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Payout",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_payment"
  ]
}
```